Hacker News new | comments | show | ask | jobs | submit login

It doesn't support IE 9. Fail.

I remember when it was fashionable for "enterprises" to make IE-only sites circa 2000.

Now it's fashionable for "startups" to make sites that don't work with IE. It's every bit as short-sighted.

If you use the right DOCTYPE, IE 9 complies with standards well. It's a decent web browser, and very fast for day-to-day browsing. The only thing wrong with it is I occasionally run into sites like this run by people who discriminate against IE users.

I don't like Firefox for most browsing because it's got numerous problems that never get confronted. I don't like the browser from another web conglomerate because I don't want to share my usage data with a company that will ultimately use it to put me (and you!) out of business.




Guidelines | FAQ | Support | API | Security | Lists | Bookmarklet | Legal | Apply to YC | Contact

Search: